#ifndef __TWDEVACCESS_H__
#define __TWDEVACCESS_H__

#define appFtrCreator			'twD1'
#define appFtrNumGlobalsPtr		100

typedef void *TwGfxHandle;
typedef void *TwInputHandle;
typedef struct { UInt32 reserved[7]; } TwGfxInfoType;

typedef struct {
	UInt32		reserved[4];
} PrvGlobalsType;

typedef struct {
	void		*dalCodeStartP;
	void		*dalCodeEndP;
	MemHandle	(*oldDmFindDatabaseWithTypeCreatorP)(const Char *,
					UInt32, UInt32);
	Boolean		accessEnabled;
} AppGlobalsType;

extern AppGlobalsType *GetGlobalsPtr(void);

extern Err TwGfxOpen(TwGfxHandle *gfxHP, TwGfxInfoType *infoP);
extern Err TwGfxClose(TwGfxHandle gfxH);

extern MemHandle DmFindDatabaseWithTypeCreatorPatch(const Char *dbName,
		UInt32 dbType, UInt32 dbCreator);

#endif
